<?xml version="1.0" encoding="UTF-8"?>
<pmd xmlns="http://pmd.sourceforge.net/report/2.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://pmd.sourceforge.net/report/2.0.0 http://pmd.sourceforge.net/report_2_0_0.xsd"
    version="6.21.0" timestamp="2020-05-06T15:20:15.842">
<file name="C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\ProductController.java">
<violation beginline="21" endline="21" begincolumn="28" endcolumn="36" rule="BeanMembersShouldSerialize" ruleset="Error Prone" package="fr.mds.qualitelogicieltp.controllers" class="ProductController" variable="myService" externalInfoUrl="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize" priority="3">
Found non-transient, non-static member. Please mark as transient or provide accessors.
</violation>
</file>
<file name="C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\controllers\UserController.java">
<violation beginline="23" endline="23" begincolumn="25" endcolumn="33" rule="BeanMembersShouldSerialize" ruleset="Error Prone" package="fr.mds.qualitelogicieltp.controllers" class="UserController" variable="myService" externalInfoUrl="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize" priority="3">
Found non-transient, non-static member. Please mark as transient or provide accessors.
</violation>
<violation beginline="24" endline="24" begincolumn="28" endcolumn="40" rule="BeanMembersShouldSerialize" ruleset="Error Prone" package="fr.mds.qualitelogicieltp.controllers" class="UserController" variable="myProdService" externalInfoUrl="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize" priority="3">
Found non-transient, non-static member. Please mark as transient or provide accessors.
</violation>
</file>
<file name="C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\ProductService.java">
<violation beginline="15" endline="15" begincolumn="31" endcolumn="49" rule="BeanMembersShouldSerialize" ruleset="Error Prone" package="fr.mds.qualitelogicieltp.services" class="ProductService" variable="myProductRepository" externalInfoUrl="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize" priority="3">
Found non-transient, non-static member. Please mark as transient or provide accessors.
</violation>
</file>
<file name="C:\workspaceEclipse\qualitelogiciel\src\main\java\fr\mds\qualitelogicieltp\services\UserService.java">
<violation beginline="15" endline="15" begincolumn="28" endcolumn="43" rule="BeanMembersShouldSerialize" ruleset="Error Prone" package="fr.mds.qualitelogicieltp.services" class="UserService" variable="myUserRepository" externalInfoUrl="https://pmd.github.io/pmd-6.21.0/pmd_rules_java_errorprone.html#beanmembersshouldserialize" priority="3">
Found non-transient, non-static member. Please mark as transient or provide accessors.
</violation>
</file>
</pmd>
